org.modeshape.jcr.cache.document

## Class SessionNode.PermissionChanges

- java.lang.Object
- - org.modeshape.jcr.cache.document.SessionNode.PermissionChanges

- All Implemented Interfaces:
    MutableCachedNode.PermissionChanges
  Enclosing class:
    SessionNode

      protected static class SessionNode.PermissionChanges
      extends Object
      implements MutableCachedNode.PermissionChanges

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SessionNode.PermissionChanges()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `addedPrincipalsCount()` Returns the number of new principals for which privileges have been added in the node's ACL.
    `protected void` | `principalAdded(String principalName)`
    `protected void` | `principalRemoved(String principalName)`
    `long` | `removedPrincipalsCount()` Returns the number of principals which have been removed from this node's ACL.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionNode.PermissionChanges

          protected SessionNode.PermissionChanges()

  - ### Method Detail

    - #### principalAdded

          protected void principalAdded(String principalName)

    - #### principalRemoved

          protected void principalRemoved(String principalName)

    - #### addedPrincipalsCount

          public long addedPrincipalsCount()

      Description copied from interface: `MutableCachedNode.PermissionChanges`
      Returns the number of new principals for which privileges have been added in the node's ACL.
      Specified by:
        `addedPrincipalsCount` in interface `MutableCachedNode.PermissionChanges`
      Returns:
        the number of principals

    - #### removedPrincipalsCount

          public long removedPrincipalsCount()

      Description copied from interface: `MutableCachedNode.PermissionChanges`
      Returns the number of principals which have been removed from this node's ACL.
      Specified by:
        `removedPrincipalsCount` in interface `MutableCachedNode.PermissionChanges`
      Returns:
        the number of principals

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.